
-- @AutoRun
-- drop table rs_narrative;



CREATE TABLE rs_narrative (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    narrative_code varchar(15) NOT NULL,
    narrative_desc varchar(30) NULL,
    graphic_notes text NULL,
    exec_sum_notes text NULL,
    mod_connect_flag varchar(15) NULL,
    narrative_notes text NULL,
    devel_narrative varchar(128) NULL,
    question text NULL,
    level_number numeric(12)  NULL
    );



ALTER TABLE rs_narrative ADD    
    CONSTRAINT pk_rs_narrative PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_rs_narrative_level_number 
    ON rs_narrative (level_number);
